A portable, open-source, coherent noise-generating library for C++

Main Page | Modules | Class Hierarchy | Class List | File List | Class Members

# noise::model::Sphere Class Reference
[Models]

`#include <sphere.h>`

List of all members.

## Detailed Description

Model that defines the surface of a sphere.

This model returns an output value from a noise module given the coordinates of an input value located on the surface of a sphere.

To generate an output value, pass the (latitude, longitude) coordinates of an input value to the GetValue() method.

This model is useful for creating:

- seamless textures that can be mapped onto a sphere
- terrain height maps for entire planets

This sphere has a radius of 1.0 unit and its center is located at the origin.

## Public Member Functions

| Sphere ()
| Constructor.
| Sphere (const module::Module &module)
| Constructor.
const module::Module & | GetModule () const
| Returns the noise module that is used to generate the output values.
double | GetValue (double lat, double lon) const
| Returns the output value from the noise module given the (latitude, longitude) coordinates of the specified input value located on the surface of the sphere.
void | SetModule (const module::Module &module)
| Sets the noise module that is used to generate the output values.

## Constructor & Destructor Documentation

Sphere::Sphere | ( | const module::Module & | module | ) |

Constructor.

Parameters:

  | module | The noise module that is used to generate the output values.

## Member Function Documentation

const module::Module& noise::model::Sphere::GetModule | ( |  | ) | const`[inline]`

Returns the noise module that is used to generate the output values.

Returns:
  A reference to the noise module.

Precondition:
  A noise module was passed to the SetModule() method.

double Sphere::GetValue | ( | double | lat,
|  | double | lon
| ) | const

Returns the output value from the noise module given the (latitude, longitude) coordinates of the specified input value located on the surface of the sphere.

Parameters:

  | lat | The latitude of the input value, in degrees.
  | lon | The longitude of the input value, in degrees.

Returns:
  The output value from the noise module.

Precondition:
  A noise module was passed to the SetModule() method.

This output value is generated by the noise module passed to the SetModule() method.

Use a negative latitude if the input value is located on the southern hemisphere.

Use a negative longitude if the input value is located on the western hemisphere.

void noise::model::Sphere::SetModule | ( | const module::Module & | module | ) | `[inline]`

Sets the noise module that is used to generate the output values.

Parameters:

  | module | The noise module that is used to generate the output values.

This noise module must exist for the lifetime of this object, until you pass a new noise module to this method.

The documentation for this class was generated from the following files:

- sphere.h
- sphere.cpp